package com.guwan.face.dto;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class FaceVideoVo {
    /**
     * 人员id
     */
    private String personId;
    /**
     * 人员name
     */
    private String name;
    /**
     * 是否正脸
     */

    private Integer isHeadOnView; //0否1是

    /**
     * 图片url
     */
    private String imageUrl;



}
